Bug 9319 - validate stat(2) information before reconnect durable handles
validate stat(2) information before reconnect durable handles
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
4.0.0rc3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 11:31 UTC by Stefan Metzmacher
Modified: 2012-10-29 10:53 UTC (History)
2 users (show)

See Also:


Attachments
Patches for v4-0-test (42.76 KB, patch)
2012-10-27 09:21 UTC, Stefan Metzmacher
metze: review? (jra)
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2012-10-23 11:31:13 UTC
When a client tries to reconnect a durable handle we need to make sure
that nobody touched the file while the client was disconnected.
As other clients would trigger a close via an implicit oplock break.
Comment 1 Stefan Metzmacher 2012-10-27 09:21:51 UTC
Created attachment 8111 [details]
Patches for v4-0-test
Comment 2 Michael Adam 2012-10-27 13:19:18 UTC
Comment on attachment 8111 [details]
Patches for v4-0-test

ACK.
Comment 3 Michael Adam 2012-10-27 13:19:47 UTC
Assigning to Karolin for 4.0.0.rcNEXT
Comment 4 Karolin Seeger 2012-10-29 10:53:40 UTC
Pushed to autobuild-v4-0-test.
Closing out bug report.

Thanks!